View Issue Details

IDProjectCategoryView StatusLast Update
0004667SymmetricDSBugpublic2022-08-04 18:44
Reporterscott_burgess Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.5 
Target Version3.14.1Fixed in Version3.14.1 
Summary0004667: dbcompare prints each table multiple times
DescriptionIf dbcompare is comparing a table that has multiple TRIGGER entries for the source node it will compare and print an output line for each TRIGGER entry - even if one of those is for a different router.

E.g. A table is configured for A <-> B <-> C, with A - B and B - C belonging to two different routers.
If I perform dbcompare on B, with engines for B and C, I get two lines being printed in the output for the same table with the same number of source + target rows.

It seems that it's not taking into account which TRIGGER_ROUTER can be used on the link between B and C.
Tagsdbcompare

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 070ef545

2022-08-03 18:03:32

evan-miller-jumpmind

Details Diff
0004667: Fixed dbcompare printing the same table multiple times and added method to TriggerRouterService for convenience Affected Issues
0004667
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2020-11-26 02:31 scott_burgess New Issue
2022-08-02 20:12 elong Tag Attached: dbcompare
2022-08-03 18:04 emiller Assigned To => emiller
2022-08-03 18:04 emiller Status new => resolved
2022-08-03 18:04 emiller Resolution open => fixed
2022-08-03 18:04 emiller Fixed in Version => 3.14.1
2022-08-03 19:00 Changeset attached => SymmetricDS 3.14 070ef545
2022-08-04 18:44 elong Target Version => 3.14.1